//  IoT電子工作キット sLab-Remo2
//  4-1.EEPROMを利用したデータ保存

#include <EEPROM.h>       // ①ライブラリを読み込み

struct st_wifi {          // ②EEPROMで利用する型（構造体）を宣言
  char ssid[64];
  char pass[64];
};

void setup() {
  Serial.begin(115200);   // ③Serial設定
  Serial.println ("");
  EEPROM.begin(128);      // ④EEPROM開始（サイズ指定）
  st_wifi buf;            // ⑤メモリ上に実体を作成
  EEPROM.get<st_wifi>(0, buf);// ⑥実態変数にEEPROMの値を代入
  Serial.print("ssid:");  // ⑦シリアルモニターにEEPROM内容表示
  Serial.println(buf.ssid);
  Serial.print("pass:");
  Serial.println(buf.pass);
  strcpy(buf.ssid, "Test SSID");// ⑧変数に値を書き込み
  strcpy(buf.pass, "Test Password");
  EEPROM.put<st_wifi>(0, buf);  // ⑨EEPROMに書き込み
  EEPROM.commit();
}

void loop() {
}
