// DDNSによりグローバルIPアドレス更新処理
void ddnsUp() {
  // ieServerのデータ更新HTTPフォーマット
  // url = "http://ieserver.net/cgi-bin/dip.cgi?username=$ACCOUNT&domain=$DOMAIN&password=$PASSWORD&updatehost=1";
  const char* host = "ieserver.net";
  const int httpPort = 80;
  String url = "/cgi-bin/dip.cgi?username=" 
                + String(dnslogin) + "&domain=" + String(dnshost) + "&password=" + String(dnspass) + "&updatehost=1";
  Serial.print ("DDNS-Url:");
  Serial.println ( url );
  // DDNSサーバに接続
  WiFiClient hpclient;
  if (!hpclient.connect(host, httpPort)) {
      Serial.println("DDNS-ConnectionNG");
      return;
  }
  // GETリクエストを送信
  hpclient.print(String("GET ") + url + " HTTP/1.1\r\n" +
               "Host: " + host + "\r\n" + "Connection: close\r\n\r\n");
  unsigned long timeout = millis();
  while (hpclient.available() == 0) {
    if (millis() - timeout > 10000) {
      Serial.println("DDNS-Timeout");
      hpclient.stop();
      return;
    }
  }
  // 応答をチェック
  while(hpclient.available()) {
    String line = hpclient.readStringUntil('\r');
    // Serial.print(line);
    if (line.indexOf("HTTP/1.1 200 OK") != -1) {
      Serial.println("DDNS-OK");
      break;
    }
  }
}

// 現在時刻の取得
String getcurtime () {
  struct tm timeInfo;
  char s[20];
  getLocalTime(&timeInfo);
  // "YYYY/MM/DD HH:MM:SS"形式で取得
  sprintf(s, "%04d/%02d/%02d %02d:%02d:%02d",
          timeInfo.tm_year + 1900, timeInfo.tm_mon + 1, timeInfo.tm_mday,
          timeInfo.tm_hour, timeInfo.tm_min, timeInfo.tm_sec);
  String rtime = String(s);
  Serial.println (rtime);
  return rtime;
}

// Loginハッシュ化用の時間取得
String logptime (byte jobType) {
  char s[20];
  time_t t = time(NULL);
  struct tm *timeInfo;
  timeInfo = localtime(&t);
  if (jobType == 2) {
    // 秒数が0-29は１分前、30-59は１分後を取得
    if (timeInfo->tm_sec < 30) {
      t -= 60;   // 1 min前
    } else {
      t += 60;   // 1 min後      
    }
    timeInfo = localtime(&t);
  }
  // "YYYYMMDDHHMM"形式で取得
  sprintf(s, "%04d%02d%02d%02d%02d",
          timeInfo->tm_year+1900, timeInfo->tm_mon+1, timeInfo->tm_mday, timeInfo->tm_hour, timeInfo->tm_min);
  String rtime = String(s);
  Serial.println (rtime);
  return rtime;
}
