// WebSocketイベント処理
void onWebSocketEvent(uint8_t num, WStype_t type, uint8_t * payload, size_t length) {
  // イベントタイプ判定
  switch(type) {
    // WebSocket接続完了時
    case WStype_CONNECTED:
      {
        clientNum = num;
        IPAddress wsip_ip = webSocket.remoteIP(num);
        String wsip = wsip_ip.toString();
        if (loginFlag && loginIp == wsip) {
          logintime = nowtime;
          wsFlag = true;
          Serial.printf("[%u] WebSocket Connection from ", num);
          Serial.println(ip.toString());
        } else {
          Serial.println("WebSocket BadIP:" + wsip);
        }
      }
      break;
    // WebSocketテキストメッセージ受信時
    case WStype_TEXT:
      Serial.printf("[%u] WebSocket Text: %s\n", num, payload);
      webSocket.sendTXT(num, payload);
      break;
    // WebSocket切断完了時
    case WStype_DISCONNECTED:
      wsFlag = false;
      Serial.printf("[%u] WebSocket Disconnected!\n", num);
      break;
    // WebSocketエラー発生時
    case WStype_ERROR:
      Serial.printf("[%u] WebSocket ERROR\n", num);
      wsFlag = false;
      break;
    // その他の処理は何もしない
    case WStype_BIN:
    case WStype_FRAGMENT_TEXT_START:
    case WStype_FRAGMENT_BIN_START:
    case WStype_FRAGMENT:
    case WStype_FRAGMENT_FIN:
    default:
      break;
  }
}
